package com.example.acmecorp;


import java.util.List;
import java.util.StringJoiner;
import org.springframework.data.neo4j.core.schema.Node;

@Node
public class Developer extends Person {

	private final List<Language> programmingLanguages;
	private final String name;

	public Developer(String name, List<Language> programmingLanguages) {
		this.name = name;
		this.programmingLanguages = programmingLanguages;
	}

	public List<Language> getProgrammingLanguages() {
		return programmingLanguages;
	}

	public String getName() {
		return name;
	}

	@Override
	public String toString() {
		return new StringJoiner(", ", Developer.class.getSimpleName() + "[", "]")
				.add("programmingLanguages=" + programmingLanguages)
				.toString();
	}
}
