package com.example.acmecorp;

import java.util.StringJoiner;
import org.springframework.data.neo4j.core.schema.GeneratedValue;
import org.springframework.data.neo4j.core.schema.Id;
import org.springframework.data.neo4j.core.schema.Node;

@Node
public class Language {

	@Id
	@GeneratedValue
	private Long id;
	private final String name;
	private final String version;

	public Language(String name, String version) {
		this.name = name;
		this.version = version;
	}

	public String getName() {
		return name;
	}

	public String getVersion() {
		return version;
	}

	@Override
	public String toString() {
		return new StringJoiner(", ", Language.class.getSimpleName() + "[", "]")
				.add("id=" + id)
				.add("name='" + name + "'")
				.add("version='" + version + "'")
				.toString();
	}
}
